{% extends 'base.html.twig' %}

{% block title %}stropaul - Sondage n°{{ sondage.id }}{% endblock %}

{% block body %}

    <div class="ariane">
        <a href="{{ path('sondage_index') }}">Accueil </a>
        <p> / {{ sondage.question }}</p>
    </div>

    <!-- SONDAGE -->
    <div id="sondage_box">
        <div id="sondage">
            <h1>{{ sondage.question }}</h1>
            {{ form_start(form) }}
                <div class="form_reponses">
                    {% form_theme form _self %}

                    {% block choice_widget_expanded %}
                        {% for child in form.reponses %}
                            <div class="custom-radio">
                                {{ form_widget(child) }}
                                {{ form_label(child) }}
                            </div>
                        {% endfor %}
                    {% endblock choice_widget_expanded %}
                </div>

                <!-- INVERSER LES BLOCS -->
                <div id="sondage_buttons">
                    {% if is_granted('ROLE_USER')%}
                        {% if rated == 0 %}
                            <button type="submit" id="vote_btn">Voter</button>
                        {% elseif rated == 1 %}
                            <button type="submit" id="vote_btn" disabled>Voter</button>
                        {% endif %}
                    {% else %}
                        <button type="submit" id="vote_btn" disabled>Voter</button>
                    {% endif %}
                    <a href="{{ path('results', {'id': sondage.id}) }}">Résultats</a>
                </div>
                {% if is_granted('ROLE_USER') == false %}
                    <small>Vous devez être connecté pour voter</small>
                {% endif %}
                {% if rated == 1 %}
                    <small>Vous avez déjà voté pour ce sondage</small>
                {% endif %}
            {{ form_end(form) }}
        </div>
    </div>

    <!-- FONCTIONS ADMIN -->
    {% if app.user %}
        {% if sondage.auteur.email == app.user.email or is_granted('ROLE_ADMIN') %}
            <div id="admin_options">
                <!-- EDIT WIP -->
                <!-- <a href="{{ path('sondage_edit', {'id': sondage.id}) }}">Modifier</a> -->
                {{ include('sondage/_delete_form.html.twig') }}
            </div>
        {% endif %}
    {% endif %}

{% endblock %}

